package com.example.venue_reservation_service.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(description = "积分添加对象")
public class PointDTO {

    @Schema(description = "管理员编号")
    Integer adminId;

    @Schema(description = "用户编号")
    Integer userId;

    @Schema(description = "充值金额")
    Double money;
}
