package com.example.venue_reservation_service.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(description = "用户提问对象")
public class QuestionDTO {
    /**
     * 用户编号
     */
    @Schema(description = "用户编号")
    private Integer userId;

    /**
     * 用户账号
     */
    @Schema(description = "用户账号")
    private String username;

    /**
     * 联系电话
     */
    @Schema(description = "联系电话")
    private String phone;

    /**
     * 疑问类型（建议 or 提问）
     */
    @Schema(description = "疑问类型（建议 or 提问）")
    private String questionType;

    /**
     * 问题描述
     */
    @Schema(description = "问题描述")
    private String description;

    /**
     * 场馆
     */
    @Schema(description = "场馆")
    private String type;
}
