package com.example.venue_reservation_service.exception;

import lombok.Getter;

/**
 * 敏感词操作异常
 */
@Getter
public class SensitiveWordException extends RuntimeException {

    private final String errorCode;

    public SensitiveWordException(String errorCode, String message) {
        super(message);
        this.errorCode = errorCode;
    }

    public SensitiveWordException(String errorCode, String message, Throwable cause) {
        super(message, cause);
        this.errorCode = errorCode;
    }
}