package com.example.venue_reservation_service.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@Schema(description = "用户查询自己的提问")
public class QuestionQueryDTO extends PageDTO{

    // 场馆
    @Schema(description = "场馆")
    private String type;

    // 状态
    @Schema(description = "状态（1：待处理；2：已处理）")
    private Integer status;

    // 用户编号
    @Schema(description = "用户编号")
    private Integer userId;
}
