package com.example.venue_reservation_service.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 记录某禁用时间下可使用场地数据
 */
@Data
public class SlotResult {

    // 场馆名称
    private String vName;

    // 场地数据（场地编号 + 场地名称）
    private List<VenueResult> list;

    public SlotResult() {
        this.list = new ArrayList<>();
    }
}
